[arch-commits] CVS update of extra/system/thinkfinger (PKGBUILD thinkfinger.install)

Damir Perisa damir at archlinux.org
Fri Aug 31 21:04:30 EDT 2007


    Date: Friday, August 31, 2007 @ 21:04:30
  Author: damir
    Path: /home/cvs-extra/extra/system/thinkfinger

   Added: PKGBUILD (1.1) thinkfinger.install (1.1)

upgpkg: thinkfinger 0.3-1


---------------------+
 PKGBUILD            |   30 ++++++++++++++++++++++++++++++
 thinkfinger.install |   12 ++++++++++++
 2 files changed, 42 insertions(+)


Index: extra/system/thinkfinger/PKGBUILD
diff -u /dev/null extra/system/thinkfinger/PKGBUILD:1.1
--- /dev/null	Fri Aug 31 21:04:30 2007
+++ extra/system/thinkfinger/PKGBUILD	Fri Aug 31 21:04:30 2007
@@ -0,0 +1,30 @@
+# $Id: PKGBUILD,v 1.1 2007/09/01 01:04:30 damir Exp $
+# Maintainer: damir <damir.archlinux.org>
+# Contributor: Björn Martensen <bjoern.martensen at gmail.com>
+
+pkgname=thinkfinger
+pkgver=0.3
+pkgrel=1
+pkgdesc="ThinkFinger is a driver for the SGS Thomson Microelectronics fingerprint reader found in most IBM/Lenovo ThinkPads"
+url="http://thinkfinger.sourceforge.net/"
+arch=('i686' 'x86_64')
+license=("GPL")
+depends=('pam' 'libusb')
+install=thinkfinger.install
+makedepends=()
+options=('!libtool')
+source=(http://downloads.sourceforge.net/thinkfinger/$pkgname-$pkgver.tar.gz)
+md5sums=('588565233bcbea5ff0a7f5314361c380')
+
+build() {
+  # create dir to store fingerprints
+  mkdir -p $startdir/pkg/etc/pam_thinkfinger
+  
+  cd $startdir/src/$pkgname-$pkgver
+  ./configure 	--prefix=/usr \
+  		--with-securedir=/lib/security \
+		--with-birdir=/etc/pam_thinkfinger
+  make || return 1
+  make DESTDIR=$startdir/pkg install
+}
+
Index: extra/system/thinkfinger/thinkfinger.install
diff -u /dev/null extra/system/thinkfinger/thinkfinger.install:1.1
--- /dev/null	Fri Aug 31 21:04:30 2007
+++ extra/system/thinkfinger/thinkfinger.install	Fri Aug 31 21:04:30 2007
@@ -0,0 +1,12 @@
+post_install() {
+  echo "==> To use thinkfinger, add 'uinput' to the MODULES=() in /etc/rc.conf."
+  echo "    More Infos: http://wiki.archlinux.org/index.php/Thinkfinger"
+}
+
+post_upgrade() {
+  post_install
+}
+
+op=$1
+shift
+$op $*




More information about the arch-commits mailing list